package javasoft.sqe.tests.vm.classfmt.cpl.cplsym001.cplsym00103m025;
/**
 * @author rbgangad
 *
 */
public class LoadClass {

	private static Class<?> loadInternal(ClassLoader loader, String className, String packageName,
			Class<? extends Throwable> expectedException) {
		Class<?> clazz = null;
		try {
			clazz = Class.forName(packageName + "." + className, true, loader);
		} catch (ThreadDeath e) {
			throw e;
		} catch (Throwable e) {
			if (expectedException != null && expectedException.isInstance(e)) {
				System.out.printf("Passed with exception when loading class %s: %s%n", className, e);
			} else {
				System.out.printf("Failed when loading class %s with unexpected exception: %s%n", className, e);
			}
		}

		if (expectedException != null) {
			System.out.printf("Failed to reject bad class: no exception was thrown, but %s was expected"
					,expectedException.getName());
		}

		return clazz;
	}

	public static void main(String[] args) {
		loadInternal(LoadClass.class.getClassLoader(), "cplsym00103m025",
				"javasoft.sqe.tests.vm.classfmt.cpl.cplsym001.cplsym00103m025", ClassFormatError.class);
	}
}
